<ng-container *ngIf="dispatchView; else dataAwaitedBlk">
  <div class="eh-h-100p eh-mt-10">
    <div fxLayout="column">
      <div *ngIf="hasAssessments;" class="e-card2 e-card2--round1 e-card2--hover2 eh-mt-6" fxLayout="column">
        <!-- <div>
          <mat-icon role="img" class="mat-icon" aria-hidden="true" data-mat-icon-type="font">
            feedback</mat-icon>
          <span class="e-title eh-mb-4">
            Required Clinical Assessments
          </span>
        </div> -->

        <div class="e-title">
          <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">feedback</mat-icon>
          <span> Required Clinical Assessments</span>
        </div>

        <div *ngIf="generalAssessments.length > 0" class="e-brd e-brd--bottom eh-mt-8 eh-px-4 eh-mx-4" fxLayout="row">
          <span class="eh-txt-12">General:&nbsp;</span>
          <div fxLayout="row wrap">
            <div class="eh-ml-8 eh-txt-12" *ngFor="let item of generalAssessments; last as isLast" fxLayout="row wrap">
              <span *ngIf="!isLast">{{item.name}},</span>
              <span *ngIf="isLast">{{item.name}}</span>
            </div>
          </div>
        </div>


        <div *ngIf="diabetesAssessments.length > 0" class="e-brd e-brd--bottom eh-mt-4 eh-px-4 eh-mx-4" fxLayout="row">
          <span class="eh-txt-12">Diabetes:&nbsp;</span>
          <div fxLayout="row wrap">
            <div class="eh-ml-8 eh-txt-12" *ngFor="let item of diabetesAssessments; last as isLast">
              <span *ngIf="!isLast">{{item.name}},</span>
              <span *ngIf="isLast">{{item.name}}</span>
            </div>
          </div>
        </div>

        <div *ngIf="vitaminsAssessments.length > 0" class="e-brd e-brd--bottom eh-mt-4 eh-px-4 eh-mx-4" fxLayout="row">
          <span class="eh-txt-12">Vitamins:&nbsp;</span>
          <div fxLayout="row wrap">
            <div class="eh-ml-8 eh-txt-12" *ngFor="let item of vitaminsAssessments; last as isLast">
              <span *ngIf="!isLast">{{item.name}},</span>
              <span *ngIf="isLast">{{item.name}}</span>
            </div>
          </div>
        </div>

        <div *ngIf="hormonesAssessments.length > 0" class="e-brd e-brd--bottom eh-mt-4 eh-px-4 eh-mx-4" fxLayout="row">
          <span class="eh-txt-12">Hormones:&nbsp;</span>
          <div fxLayout="row wrap">
            <div class="eh-ml-8 eh-txt-12" *ngFor="let item of hormonesAssessments; last as isLast">
              <span *ngIf="!isLast">{{item.name}},</span>
              <span *ngIf="isLast">{{item.name}}</span>
            </div>
          </div>
        </div>

        <div *ngIf="sportsAssessments.length > 0" class="e-brd e-brd--bottom eh-mt-4 eh-px-4 eh-mx-4" fxLayout="row">
          <span class="eh-txt-12">Sports:&nbsp;</span>
          <div fxLayout="row wrap">
            <div class="eh-ml-8 eh-txt-12" *ngFor="let item of sportsAssessments; last as isLast">
              <span *ngIf="!isLast">{{item.name}},</span>
              <span *ngIf="isLast">{{item.name}}</span>
            </div>
          </div>
        </div>


        <div *ngIf="otherAssessments.length > 0" class="e-brd e-brd--bottom eh-mt-4 eh-px-4 eh-mx-4" fxLayout="row">
          <span class="eh-txt-12">Other:&nbsp;</span>
          <div fxLayout="row wrap">
            <div class="eh-ml-8 eh-txt-12" *ngFor="let item of otherAssessments; last as isLast">
              <span *ngIf="!isLast">{{item.name}},</span>
              <span *ngIf="isLast">{{item.name}}</span>
            </div>
          </div>
        </div>

        <!-- <div class="eh-h-68" fxLayout="row" fxLayoutAlign="end center">


          <div class="eh-w-128 eh-mt-8">
            <app-button-file-upload [uploadByName]="me.name" [uploadByUID]="me.uid"
              [uploadCollectionName]="uploadCollectionName" [uploadDirPath]="uploadDirPath"
              [uploadFileNamePrefix]="uploadFileNamePrefix" [userMembershipKey]="me.membershipKey" [userUID]="me.uid"
              (uploadEvent)="onUploadComplete()">
            </app-button-file-upload>
          </div>
        </div> -->
      </div>

      <ng-container *ngIf="areClinicalAssessmentFilesAvailable; else noFilesBlk">
        <div class="eh-px-2 eh-pb-16 eh-ofy-scroll eh-hide-scrollbars">
          <div class="eh-mt-16 eh-txt-12 e-txt eh-txt-center e-txt--matgrey500">
            All Uploaded Reports
          </div>

          <div *ngFor="let file of clinicalAssessmentFiles;" class="eh-mt-16">
            <div class="e-card2 e-card2--round1 e-card2--hover2">
              <div class="eh-p-12">
                <div fxLayout="row nowrap" color="eh-txt-dark">
                  <mat-icon class="e-mat-icon e-mat-icon--3">file_present</mat-icon>
                  <span class="eh-ml-8 eh-txt-12 eh-txt-breakword">{{file.fileName}}</span>
                </div>
                <div fxLayout="row" fxLayoutAlign="space-between center">
                  <div class="eh-txt-10 eh-mt-8 e-txt e-txt--matgrey500 eh-txt-italic">
                    Uploaded: {{file.uploadedAt | date:'E, d-MMM-y h:mm a':'+0530'}}
                  </div>
                  <div (click)="onDownloadFile(file)">
                    <ion-icon name="download-outline" size="large"></ion-icon>
                  </div>
                </div>

              </div>
              <!-- <app-preview-download [allowDelete]="true" [downloadFileName]="downloadFileName" [fileKey]="fileKey"
                [filePath]="filePath" [fileURL]="fileURL" [isImg]="isFileImg" [placeholder]="placeholder"
                [uploadCollectionName]="uploadCollectionName" [userUID]="me.uid" [title]="title">
              </app-preview-download> -->
            </div>
          </div>
        </div>
        <!-- <div class="e-brd e-brd--left">
          <app-preview-download [allowDelete]="true" [downloadFileName]="downloadFileName" [fileKey]="fileKey"
            [filePath]="filePath" [fileURL]="fileURL" [isImg]="isFileImg" [placeholder]="placeholder"
            [uploadCollectionName]="uploadCollectionName" [userUID]="me.uid" [title]="title">
          </app-preview-download>
        </div> -->
      </ng-container>

      <ng-template #noFilesBlk>
        <div class="e-txt e-txt--placeholder eh-txt-center eh-p-16">
          No Clinical Assessment Reports available
        </div>
      </ng-template>
    </div>

    <!-- <div class="e-brd e-brd--left">
      <app-preview-download [allowDelete]="true" [downloadFileName]="downloadFileName" [fileKey]="fileKey"
        [filePath]="filePath" [fileURL]="fileURL" [isImg]="isFileImg" [placeholder]="placeholder"
        [uploadCollectionName]="uploadCollectionName" [userUID]="me.uid" [title]="title">
      </app-preview-download>
    </div> -->
  </div>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>